--- a/libgcc/config/t-vxworks
+++ b/libgcc/config/t-vxworks
@@ -4,10 +4,11 @@ LIBGCC2_DEBUG_CFLAGS =
 # Extra libgcc2 modules used by gthr-vxworks.h functions
 LIB2ADDEH += $(srcdir)/config/vxlib.c $(srcdir)/config/vxlib-tls.c
 
-# This ensures that the correct target headers are used; some
-# VxWorks system headers have names that collide with GCC's
-# internal (host) headers, e.g. regs.h.
-LIBGCC2_INCLUDES = -nostdinc \
+# This ensures that the correct target headers are used; some VxWorks
+# system headers have names that collide with GCC's internal (host)
+# headers, e.g. regs.h. Make sure the local libgcc headers still
+# prevail (e.g. unwind.h).
+LIBGCC2_INCLUDES = -nostdinc -I. \
   `case "/$(MULTIDIR)" in \
      */mrtp*) echo -I$(WIND_USR)/h -I$(WIND_USR)/h/wrn/coreip ;; \
      *) echo -I$(WIND_BASE)/target/h -I$(WIND_BASE)/target/h/wrn/coreip ;; \
diff --git a/libgcc/config/t-vxworks7 b/libgcc/config/t-vxworks7
index 77591cd..ae1dff9 100644
--- a/libgcc/config/t-vxworks7
+++ b/libgcc/config/t-vxworks7
@@ -4,11 +4,12 @@ LIBGCC2_DEBUG_CFLAGS =
 # Extra libgcc2 modules used by gthr-vxworks.h functions
 LIB2ADDEH += $(srcdir)/config/vxlib.c $(srcdir)/config/vxlib-tls.c
 
-# This ensures that the correct target headers are used; some
-# VxWorks system headers have names that collide with GCC's
-# internal (host) headers, e.g. regs.h.
+# This ensures that the correct target headers are used; some VxWorks
+# system headers have names that collide with GCC's internal (host)
+# headers, e.g. regs.h. Make sure the local libgcc headers still
+# prevail (e.g. unwind.h).
 LIBGCC2_INCLUDES = -nostdinc \
-  -I$(VSB_DIR)/h -I$(VSB_DIR)/share/h \
+  -I. -I$(VSB_DIR)/h -I$(VSB_DIR)/share/h \
   `case "/$(MULTIDIR)" in \
       */mrtp*) echo -I$(VSB_DIR)/usr/h/public -I$(VSB_DIR)/usr/h ;; \
       *) echo -I$(VSB_DIR)/krnl/h/system -I$(VSB_DIR)/krnl/h/public ;; \
-- 
1.7.10.4

